aboutsummaryrefslogtreecommitdiffstats
path: root/vendor/bin/html-to-markdown
diff options
context:
space:
mode:
authorMario <mario@mariovavti.com>2023-11-25 17:12:28 +0100
committerMario <mario@mariovavti.com>2023-11-25 17:12:28 +0100
commit0fd8e02a884a2b040dca62ab5d9674db5f6a070b (patch)
tree586ee43f32f6f14368c09026f21dcd3244ea24b6 /vendor/bin/html-to-markdown
parent82e704ec5b107823c09f1387e9091adee53a4c2d (diff)
parent55c4bfb67009c598f25b1a8189604bfffa73dfbb (diff)
downloadvolse-hubzilla-8.8.tar.gz
volse-hubzilla-8.8.tar.bz2
volse-hubzilla-8.8.zip
Merge branch '8.8RC'8.8
Diffstat (limited to 'vendor/bin/html-to-markdown')
-rwxr-xr-xvendor/bin/html-to-markdown10
1 files changed, 6 insertions, 4 deletions
diff --git a/vendor/bin/html-to-markdown b/vendor/bin/html-to-markdown
index 51fec89d8..f75df7b84 100755
--- a/vendor/bin/html-to-markdown
+++ b/vendor/bin/html-to-markdown
@@ -108,10 +108,12 @@ if (PHP_VERSION_ID < 80000) {
}
}
- if (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper')) {
- include("phpvfscomposer://" . __DIR__ . '/..'.'/league/html-to-markdown/bin/html-to-markdown');
- exit(0);
+ if (
+ (function_exists('stream_get_wrappers') && in_array('phpvfscomposer', stream_get_wrappers(), true))
+ || (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper'))
+ ) {
+ return include("phpvfscomposer://" . __DIR__ . '/..'.'/league/html-to-markdown/bin/html-to-markdown');
}
}
-include __DIR__ . '/..'.'/league/html-to-markdown/bin/html-to-markdown';
+return include __DIR__ . '/..'.'/league/html-to-markdown/bin/html-to-markdown';